import request from '@/utils/request'

// 查询案件录入列表
export function caseApply(data) {
  return request({
    url: '/caseApplication/list',
    method: 'get',
    params: data
  })
}

// 立案申请
export function addCaseApply(data) {
  return request({
    url: '/caseApplication/addCaseApplication',
    method: 'post',
    data: data
  })
}
// 点击修改获取主体信息
export function selectCaseApply(data) {
  return request({
    url: '/caseApplication/selectCaseApplication',
    method: 'post',
    data: data
  })
}
// 修改案件信息
export function editCaseApply(data) {
  return request({
    url: '/caseApplication/editCaseApplication',
    method: 'post',
    data: data
  })
}
// 删除案件信息 
export function removeCaseApply(data) {
  return request({
    url: '/caseApplication/removeCaseApplication',
    method: 'post',
    data: data
  })
}
// 提交 
export function submitCaseApply(data) {
  return request({
    url: '/caseApplication/submitCaseApplication',
    method: 'post',
    data: data
  })
}
// 立案审查
export function submitCaseApplicationCheck(data) {
  return request({
    url: "/caseApplication/submitCaseApplicationCheck",
    method: "post",
    data: data,
  });
}
// 下载模板
export function importTemplate(data) {
  return request({
    url: '/caseApplication/importTemplate',
    method: 'post',
    data: data
  })
}
// 更新案件锁定状态
export function updateCaseLockStatus(data) {
  return request({
    url: "/caseApplication/updateCaseLockStatus",
    method: "post",
    data: data,
  });
}
// 获取证据目录
export function evidenceTree(data) {
  return request({
    url: "/evidence/evidenceTree",
    method: "get",
    params: data,
  });
}
